MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023258Community[OCCT] OCCT:Data Exchangepublic2012-07-11 14:402012-11-16 13:16
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023258: Missing parenthesis
DescriptionJudging by the documentation in IGESGeom_OffsetCurve.hxx:

- anOffsetType : Offset distance flag
1 = Single value, uniform distance
2 = Varying linearly
3 = As a specified function

- aTaperedOffsetType : Tapered offset type flag
                              1 = Function of arc length
                              2 = Function of parameter

there is a missing parenthesis in line 334 in IGESGeom_ToolOffsetCurve.cxx
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020907)
Pawel (developer)
2012-07-11 14:44

Corresponding git branch pushed. Please review.
(0020918)
abv (manager)
2012-07-11 17:43

Reviewed with no remarks; please test
(0020931)
mkv (tester)
2012-07-12 15:48

Dear BugMaster,
The workbenches
KAS:dev:mkv-23258-occt (GIT branch CR23258)
KAS:dev:mkv-23258-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23258-products_12072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master f272f76c
Timestamp: 2012-07-11 10:43:07
Author: Pawel
Details ] Diff ]
0023258: Missing parenthesis

Missing parenthesis added.
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-11 14:40 Pawel New Issue
2012-07-11 14:40 Pawel Assigned To => Pawel
2012-07-11 14:44 Pawel Note Added: 0020907
2012-07-11 14:44 Pawel Status new => resolved
2012-07-11 14:44 Pawel Assigned To Pawel => bugmaster
2012-07-11 17:43 abv Note Added: 0020918
2012-07-11 17:43 abv Status resolved => reviewed
2012-07-11 18:34 mkv Assigned To bugmaster => mkv
2012-07-12 15:48 mkv Note Added: 0020931
2012-07-12 15:49 mkv Test case number => Not needed
2012-07-12 15:49 mkv Assigned To mkv => bugmaster
2012-07-12 15:49 mkv Status reviewed => tested
2012-07-17 17:50 Pawel Changeset attached => occt master f272f76c
2012-07-17 17:50 Pawel Assigned To bugmaster => Pawel
2012-07-17 17:50 Pawel Status tested => verified
2012-07-17 17:50 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker